import 'package:json_annotation/json_annotation.dart';
import 'package:marking_app/common/model/common/base_page_report.dart';

part 'marked_item_params.g.dart';

@JsonSerializable()
class MarkedItemParams extends BasePageReport {

  // 角色
  @JsonKey(name: 'PositionId')
  int roleId;

  MarkedItemParams(super.page, super.limit, {required this.roleId});

  factory MarkedItemParams.fromJson(Map<String, dynamic> srcJson) => _$MarkedItemParamsFromJson(srcJson);

  Map<String, dynamic> toJson() => _$MarkedItemParamsToJson(this);
}
